Fixed a failed unit test and added more to the setup scenario.

Change-Id: I28ee6627834f8964d5d06756afb44e6213c8afaa
diff --git a/tools/test/bin/onos-check-apps b/tools/test/bin/onos-check-apps
new file mode 100755
index 0000000..03df7dc
--- /dev/null
+++ b/tools/test/bin/onos-check-apps
@@ -0,0 +1,20 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks whether all and only the ONOS apps configured in ONOS_APPS are active.
+# -----------------------------------------------------------------------------
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
+
+onos ${1:-$OCI} "onos:apps -s -a" > $aux
+cat $aux
+
+# Normalize the installed apps
+cut -c7- $aux | cut -d\  -f1 | sort > $aux.1
+
+# Normalize the expected apps
+apps=${ONOS_APPS:-drivers,openflow}
+(for app in ${apps/,/ }; do echo org.onosproject.$app; done) | sort > $aux.2
+
+# Check for differences
+diff $aux.1 $aux.2